diagrams-lib-0.7.1.1: Embedded domain-specific language for declarative graphics

Maintainer | diagrams-discuss@googlegroups.com
Safe Haskell | None

Diagrams.TwoD.Model

Contents

- Showing the local origin

Description

Tools for visualizing diagrams' internal model: local origins, envelopes, etc.

Synopsis

- showOrigin :: (Renderable (Path R2) b, Backend b R2, Monoid' m) => QDiagram b R2 m -> QDiagram b R2 m
- showOrigin' :: (Renderable (Path R2) b, Backend b R2, Monoid' m) => OriginOpts -> QDiagram b R2 m -> QDiagram b R2 m
- data OriginOpts = OriginOpts {
  - oColor :: Colour Double
  - oScale :: Double
  - oMinSize :: Double
  }
- showLabels :: (Renderable Text b, Backend b R2) => QDiagram b R2 m -> QDiagram b R2 Any

# Showing the local origin

showOrigin :: (Renderable (Path R2) b, Backend b R2, Monoid' m) => QDiagram b R2 m -> QDiagram b R2 mSource

Mark the origin of a diagram by placing a red dot 1/50th its size.

showOrigin' :: (Renderable (Path R2) b, Backend b R2, Monoid' m) => OriginOpts -> QDiagram b R2 m -> QDiagram b R2 mSource

Mark the origin of a diagram, with control over colour and scale of marker dot.

data OriginOpts Source

Constructors

OriginOpts |

Fields

oColor :: Colour Double
oScale :: Double
oMinSize :: Double

Instances

Default OriginOpts |

showLabels :: (Renderable Text b, Backend b R2) => QDiagram b R2 m -> QDiagram b R2 Any Source